%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlvendorarch %(perl -e 'use Config; print $Config{installvendorarch}')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}')
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname Params-Validate

Name: perl-%{appname}
Version: 0.76
Release: 1
Summary: Params::Validate modules
License: distributable
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
Source0: %{appname}-%{version}.tar.gz
Requires: perl >= %{perlversion}
%define debug_package %{nil}

%description

%prep
%setup -n %{appname}-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
PERL_VERSION=`perl -e '$version = sprintf "%vd", $^V; $version =~ s/\.[^\.]+$//; print "$version\n"'`
if [ "$PERL_VERSION" == "5.8" ]; then
  export PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make PREFIX=$RPM_BUILD_ROOT/usr install


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root)
%{perlman3dir}/*
%{perlvendorarch}/Attribute/Params/Validate.pm
%{perlvendorarch}/Params/Validate.pm
%{perlvendorarch}/Params/ValidatePP.pm
%{perlvendorarch}/Params/ValidateXS.pm
%{perlvendorarch}/auto/Params/Validate/
